Package ec.display.chart

# Class ChartableStatistics

java.lang.Object
ec.Statistics
ec.display.chart.ChartableStatistics

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

Direct Known Subclasses:
  `BarChartStatistics`, `PieChartStatistics`, `XYSeriesChartStatistics`

public abstract class ChartableStatistics extends Statistics

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `P_TITLE`
  `static final String`
  `P_XAXIS`
  `static final String`
  `P_YAXIS`
  `String`
  `pdf`
  `static final String`
  `PDF`
  `String`
  `title`
  `String`
  `xlabel`
  `String`
  `ylabel`

  ### Fields inherited from class ec.Statistics

  `children, P_CHILD, P_MUZZLE, P_NUMCHILDREN, P_SILENT, P_SILENT_FILE, P_SILENT_PRINT, silentFile, silentPrint`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartableStatistics()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract org.jfree.chart.JFreeChart`
  `makeChart()`
  `void`
  `setup(EvolutionState state, Parameter base)`
  Sets up the object by reading it from the parameters stored in state, built off of the parameter base base.

  ### Methods inherited from class ec.Statistics

  `enteringInitialPopulationStatistics, enteringSteadyStateStatistics, finalStatistics, generationBoundaryStatistics, individualsBredStatistics, individualsEvaluatedStatistics, postBreedingStatistics, postCheckpointStatistics, postEvaluationStatistics, postInitializationStatistics, postPostBreedingExchangeStatistics, postPreBreedingExchangeStatistics, preBreedingStatistics, preCheckpointStatistics, preEvaluationStatistics, preInitializationStatistics, prePostBreedingExchangeStatistics, prePreBreedingExchangeStatistics`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### P_TITLE

    public static final String P_TITLE
    See Also:
      - Constant Field Values

  - ### P_XAXIS

    public static final String P_XAXIS
    See Also:
      - Constant Field Values

  - ### P_YAXIS

    public static final String P_YAXIS
    See Also:
      - Constant Field Values

  - ### PDF

    public static final String PDF
    See Also:
      - Constant Field Values

  - ### title

    public String title

  - ### xlabel

    public String xlabel

  - ### ylabel

    public String ylabel

  - ### pdf

    public String pdf

- ## Constructor Details

  - ### ChartableStatistics

    public ChartableStatistics()

- ## Method Details

  - ### setup

    public void setup(EvolutionState state, Parameter base)
    Description copied from interface: `Setup`
    Sets up the object by reading it from the parameters stored in state, built off of the parameter base base. If an ancestor implements this method, be sure to call super.setup(state,base); before you do anything else.
    Specified by:
      `setup` in interface `Setup`
    Overrides:
      `setup` in class `Statistics`

  - ### makeChart

    public abstract org.jfree.chart.JFreeChart makeChart()